$(function () {

    // Showing the slider heading

    $(".intro-block").removeClass("unvisible");

    // Automatic showing the popup with form

    $(document).ready(function(){
        var clickInt = setTimeout(formClick, 12000);
        function formClick(){
            if($('.form-view').length > 0 && $(".form-center-fix").length < 1){
                $(".form-view").trigger("click");
            }
            clearTimeout(clickInt);
        };
    });

    // Mask the tel input

    $(".phone-number").mask("999-99-99");

    //, .clickToCallForm input[type='text']


    // Hiding the return-date input

    $('.trip-type input[type="radio"]').click(function (e) {

        if($(this).attr('id') == 'multi-city' || $(this).attr('id') == 'one-way'){
            $(".value-switch").addClass('hidden');
        }
        else {
            $(".value-switch").removeClass('hidden');
        }

        $(".additional-cities, .fields-controllers").hide();

        var dateFields = $("#maincontactform .date-inputs");

        dateFields.addClass("depart-only");

        if ($(this).attr('id') == "round-trip") {
            dateFields.removeClass("depart-only");
            $('input[name="return-date"]').attr("required", true);
        }
    });

    // Showing a multicity additional inputs

    $('.trip-type #multi-city').click(function () {
        $(".additional-cities, .fields-controllers").show();
        $('input[name="return-date"]').attr("required", false);
    });

    $("#one-way").click(function () {
        $('input[name="return-date"]').attr("required", false);
    });

    // Add/delete additional fieldsets

    var addField = $(".fields-controllers .add-field");
    var deleteField = $(".fields-controllers .delete-field");

    $(addField).on('click', function () {
        var numberForNameInput = $(".additional-cities > .flyings-field-set:last").index() + 2;
        console.log(numberForNameInput);
        var additionalFieldset = '<fieldset class="flyings-field-set"><input type="text" class="grid_4 t-grid_3 m-grid_4" name="flying-from-' + numberForNameInput + '" id="flying-from-' + numberForNameInput + '" placeholder="Flying-from"><input type="text" class="grid_4 t-grid_3 m-grid_4" name="flying-to-' + numberForNameInput + '" id="flying-to-' + numberForNameInput + '" placeholder="Flying-to"><div class="grid_4 t-grid_3 m-grid_4 date-inputs depart-only"><p class="calendar-icon depart-input"><input type="text" name="depart-date-' + numberForNameInput + '" class="datepicker" placeholder="Depart" id=""></p></div></fieldset>';
        $(".additional-cities").append(additionalFieldset);

    });

    $(deleteField).on('click', function () {
        $(".additional-cities .flyings-field-set:last-child").remove();
    });

    // Date inputs on main form

    $(".additional-cities").on('focus', '.datepicker', function () {
        $(this).datepicker();
    });

    // Removing the calendar icon on small devices on date inputs

    if ($(window).width() < 481) {
        $(".date-inputs .datepicker").on('change', function () {
            $(this).closest('.calendar-icon').addClass('without-icon');

            //$(this).toggleClass('without-icon');
        });
    };


    // Travelers quantity and flying class popup

    $("#flying-class").click(function (e) {
        //e.preventDefault();
        $(".bundle-popup").removeClass("hidden");
        closeBundlePopup();
    });

    function closeBundlePopup() {
        $(document).mouseup(function (e) {
            if ($(".bundle-popup").has(e.target).length === 0) {
                $(".bundle-popup").addClass("hidden");
            }
        });
        $(".bundle-popup").on('click', ".close-bundle", function () {
            $(this).closest(".bundle-popup").addClass("hidden");
        });
    };

    applyingData = function () {
        var classType = $(".cabin-class-wrap label.active").text();
        var travelersQuantity = $(".quantity-box .travellers-quantity").val();
        var dataToApply = travelersQuantity + ", " + classType + " class";

        $("#flying-class").val(dataToApply);
    };

    $(".cabin-class-wrap > label").click(function () {
        $(this).siblings().removeClass("active");
        $(".cabin-class-wrap > label input").removeAttr("checked");
        $(this).addClass("active");
        $(".cabin-class-wrap > label.active input").attr("checked", true);
        applyingData();
    });

    var textSinglePlural = {
        travelOne: " Traveler",
        travelMore: " Travelers"
    }

    $(".quantity-box").on('click', 'button', function (e) {
        var valueOfQuantutyInput = $(this).siblings(".travellers-quantity").val();
        var numberOfTravelers = parseFloat(valueOfQuantutyInput, 2);

        if (numberOfTravelers >= 1 && numberOfTravelers <= 9 && e.target.classList.contains("incrementor")) {
            numberOfTravelers = ++numberOfTravelers;
        }
        if (numberOfTravelers > 1 && e.target.classList.contains("decrementor")) {
            numberOfTravelers = --numberOfTravelers;
        }

        if (numberOfTravelers > 1) {
            $('[name="travellers-quantity"]').val(numberOfTravelers + textSinglePlural.travelMore);
        }
        else {
            $('[name="travellers-quantity"]').val(numberOfTravelers + textSinglePlural.travelOne);
        }
        applyingData();
    });

    // Refreshing the values after submitting

    $("#maincontactform").on("click", 'input[type="submit"]', function () {
        var int = setInterval(function () {
            if ($(document).find(".smoke.success")) {
                console.log("test good");
                $("#flying-class").val("1 Traveler, Business class");
                $(".travellers-quantity").val("1 Traveler");
            }
            ;
            clearInterval(int);
        }, 600);
    });

    // Switching the "from" and "to" inputs values

    $(".value-switch").on('click', function(){
        var containerSet = $(this).closest('.flyings-field-set');
        var flFrom = containerSet.find('#flying-from');
        var flTo = containerSet.find('#flying-to');
        var flFromVal = flFrom.val();
        var flToVal = flTo.val();

        flFrom.val(flToVal);
        flTo.val(flFromVal);

        console.log(flFromVal, flToVal);
    });





    // Active buttons on ticket selection

    //$(".worldpart-to-buttons").on('mousedown', "button", function () {
    //    $(".worldpart-to-buttons").find("button").removeClass("active-btn");
    //    $(this).addClass("active-btn");
    //});

    $(".worldpart-from-buttons").on('click', "button", function () {
        $(".worldpart-from-buttons").find("button").removeClass("active-btn");
        $(this).addClass("active-btn");
    });


    // Animation after closing form-popup

    $("body").on("click", ".close-form-button", function () {
        $(".form-wrap").toggleClass('form-center-fix');
        $('.mask-dark').toggleClass('mask-dark-visible');

    });


    $(".form-view").on('click', function () {
        $(".form-wrap").toggleClass('form-center-fix');
        $('.mask-dark').toggleClass('mask-dark-visible');
    });

    $('.mask-dark').on('click', function () {
        $(".form-wrap").toggleClass('form-center-fix');
        $(this).toggleClass('mask-dark-visible');
    });

    //$(document).ready(function(){

        // Product reloading on pages

        if ($(".all-deals").length > 0) {

            if ($(".product-list .product-item").length > -1) {
                $("body").removeClass('footer-to-fix');
            }
            ;

            // Active deal button on deals pages

            var buttons = $(".all-deals button");
            buttons.each(function () {
                var tempHref = window.location.href;
                console.log(tempHref.slice(0, tempHref.length - 10));

                if($(".product-page").length > 0 && tempHref.slice(0, tempHref.length - 10).indexOf($(this).attr('id')) > -1) {
                    buttons.removeClass("active-btn")
                    $(this).addClass("active-btn");
                }
                else if(tempHref.indexOf($(this).attr('id')) > -1){
                    buttons.removeClass("active-btn")
                    $(this).addClass("active-btn");
                }


            });

            // Reloading products

            buttons.on('click', function () {
                $(".product-list").empty();
                buttons.removeClass('active-btn');
                $(this).addClass('active-btn');
                productsBrand = $(this).attr('data-brand');
                var tag = $(".worldpart-from-buttons .active-btn").attr(('data-tag-number'));
                ajaxProducts(tag, productsBrand, true, true);

            });
        };



    //});

});

// Adding products with ajax by brands and tags on deals page

function ajaxProductsDeals(){

    var productsBrand;
    var tag = $(".worldpart-from-buttons .active-btn").attr(('data-tag-number'));

    if ($(".all-deals .active-btn").length > 0) {
        productsBrand = $(".all-deals .active-btn").attr('data-brand');
        ajaxProducts(tag, productsBrand, true);
    }
    else {
        $(".deals-controllers li:first-child button").addClass('active-btn');
        productsBrand = $(".all-deals .active-btn").attr('data-brand');
        ajaxProducts(tag, productsBrand, true, true);
    };
};

// Adding products with ajax by brands and tags on product page

function ajaxProductsProductPage(){

    var productsBrand = $(".all-deals .active-btn").attr('data-brand');
    var tag = $(".worldpart-from-buttons .active-btn").attr(('data-tag-number'))

    // Removing the heading product from product list - param "false" in ajaxProducts();
    ajaxProducts(tag, productsBrand, false, true);
};
